Bug 51707 - RFE: BCM5820 detection/activation
Summary: RFE: BCM5820 detection/activation
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kudzu   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-14 04:48 UTC by Michael E Brown
Modified: 2014-03-17 02:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-24 20:49:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael E Brown 2001-08-14 04:48:34 UTC
Kudzu needs to detect the Broadcom SSL offload card. PCI ID info below:

#lspci
00:0e.0 Co-processor: BROADCOM Corporation: Unknown device 5820 (rev 10) 

#lspci -n
00:0e.0 Class 0b40: 14e4:5820 (rev 10)   

Actions that need to happen on card detection:
1) If the bcm5820 rpm is installed, then "chkconfig --level 2345 bcm5820 
on"

2) If the bcm5820 rpm is not installed, direct the user to install the 
bcm5820 rpm and then run the command above.

On card removal:
1) if the rpm is still installed: chkconfig --level 2345 bcm5820 off

Pretty simple, eh?

Comment 1 Bill Nottingham 2001-08-14 04:53:42 UTC
Turning the initscript on and off we can do; will be in kudzu-0.99.14-1. A
dialog for installing the package is not going to happen.

Comment 2 Michael E Brown 2001-08-24 20:19:28 UTC
This is not working. In /etc/sysconfig/hwconf I get:
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "Broadcom Corporation|unknown device 14e4:5820"
vendorId: 14e4
deviceId: 5820
subVendorId: 14e4
subDeviceId: 0010
pciType: 1
-

And in lspci, I still get:
00:0e.0 Co-processor: BROADCOM Corporation: Unknown device 5820 (rev 10)

The RPM is installed, but kudzu doesn't ask to configure the device, nor does it
chkconfig the service on.

This is with kudzu-0.99.14-1, on a fresh RC1 install.


Comment 3 Bill Nottingham 2001-08-24 20:28:40 UTC
Did you install kudzu after the RC1 install?

Comment 4 Michael E Brown 2001-08-24 20:36:25 UTC
No. This is straight RC1. You mentioned in your first comments that
kudzu-0.99.14-1 would have the fix in. This is the version that is installed in
RC1. Is there a later version that I need to try?



Comment 5 Bill Nottingham 2001-08-24 20:49:19 UTC
Will be fixed in 0.99.21-1.


Note You need to log in before you can comment on or make changes to this bug.